from slinn import Migration


class SimpleMigration(Migration):
    def __init__(self):
        super().__init__()

    @property
    def dependencies(self):
        return ()

    async def check(self):
        return True

    async def apply(self):
        print('SimpleMigration succeed')
